Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class TransactionResponse

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.payment.TransactionResponse

All Implemented Interfaces:
  Serializable, TransactionResponseConstants

public class TransactionResponse
extends Object
implements TransactionResponseConstants, Serializable

A `TransactionResponse` is returned by the business methods of the `CreditCardService`. It provides convenient access to the date, identifier, and status of the payment as well as a handle to the persistent `PaymentTransaction` associated with the transaction identifier. Additionally, it contains all service provider results in the form of a hash table of name value pairs.

See Also:
  `PaymentTransaction`, Serialized Form

Field Summary
`Handle` | `paymentTransactionHandle` Handle to the `PaymentTransaction` for which this response was generated.
`Price` | `transactionAmount` The amount of the transaction associated with this response.
`Date` | `transactionDate` The date of the transaction associated with this response.
`String` | `transactionId` The unique identifier for the transaction associated with this response.
`int` | `transactionStatus` The state of the transaction associated with this response.

Fields inherited from interface com.beasys.commerce.ebusiness.payment.TransactionResponseConstants
`ACTION, AUTHORIZATION_FAILED, AUTHORIZED, CAPTURE_ERROR, CONFIGURATION_ERROR, CREDITCARD_INVALID, EXCEPTION, FAILURE, GENERAL_SERVICE_ERROR, MARKEDFORSETTLE, NOSTATUS, OK, PENDINGSETTLE, REJECTED, RETRY, ROLLBACK, SERVICE_UNAVAILABLE_ERROR, SETTLE_ERROR, SETTLED, SETTLEFAILED, SYSTEM_ERROR`

Constructor Summary
`TransactionResponse()` Default constructor.

Method Summary
`Hashtable` | `getAllResults()` Returns a hash table containing all service provider-specific results.
`Handle` | `getPaymentTransactionHandle()` Get the value of paymentTransactionHandle
`String` | `getStatusString(int i)` Converts a status code into a String representation.
`Price` | `getTransactionAmount()` Get the value of transactionAmount
`Date` | `getTransactionDate()` Get the value of transactionDate
`String` | `getTransactionId()` Get the value of transactionId
`String` | `getTransactionResult(String hashKey)` Get a value from results given the key
`int` | `getTransactionStatus()` Get the value of transactionStatus
`void` | `putTransactionResult(String hashKey, String value)` Set a value on results
`void` | `setAllResults(Hashtable newResults)`
`void` | `setPaymentTransactionHandle(Handle paymentTransactionHandle)` Set the value of paymentTransactionHandle
`void` | `setTransactionAmount(Price transactionAmount)` Set the value of transactionAmount
`void` | `setTransactionDate(Date transactionDate)` Set the value of transactionDate
`void` | `setTransactionId(String transactionId)` Set the value of transactionId
`void` | `setTransactionStatus(int transactionStatus)` Set the value of transactionStatus

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transactionDate

    public Date transactionDate

  The date of the transaction associated with this response.

### transactionId

    public String transactionId

  The unique identifier for the transaction associated with this response.

### transactionStatus

    public int transactionStatus

  The state of the transaction associated with this response.

### transactionAmount

    public Price transactionAmount

  The amount of the transaction associated with this response.

### paymentTransactionHandle

    public Handle paymentTransactionHandle

  Handle to the `PaymentTransaction` for which this response was generated.

Constructor Detail

### TransactionResponse

    public TransactionResponse()

  Default constructor.

Method Detail

### getTransactionDate

    public Date getTransactionDate()

  Get the value of transactionDate

  Returns:
    transactionDate.

### setTransactionDate

    public void setTransactionDate(Date transactionDate)

  Set the value of transactionDate

  Parameters:
    `transactionDate` - transactionDate to be added

### getTransactionId

    public String getTransactionId()

  Get the value of transactionId

  Returns:
    transactionId.

### setTransactionId

    public void setTransactionId(String transactionId)

  Set the value of transactionId

  Parameters:
    `transactionId` - transactionId to be added

### getTransactionStatus

    public int getTransactionStatus()

  Get the value of transactionStatus

  Returns:
    transactionStatus.

### setTransactionStatus

    public void setTransactionStatus(int transactionStatus)

  Set the value of transactionStatus

  Parameters:
    `transactionStatus` - transactionStatus to be added

### getTransactionAmount

    public Price getTransactionAmount()

  Get the value of transactionAmount

  Returns:
    transactionAmount.

### setTransactionAmount

    public void setTransactionAmount(Price transactionAmount)

  Set the value of transactionAmount

  Parameters:
    `transactionAmount` - transactionAmount to be added

### getPaymentTransactionHandle

    public Handle getPaymentTransactionHandle()

  Get the value of paymentTransactionHandle

  Returns:
    paymentTransactionHandle.

### setPaymentTransactionHandle

    public void setPaymentTransactionHandle(Handle paymentTransactionHandle)

  Set the value of paymentTransactionHandle

  Parameters:
    `paymentTransactionHandle` - paymentTransactionHandle to be added

### getTransactionResult

    public String getTransactionResult(String hashKey)

  Get a value from results given the key

  Returns:
    String

### putTransactionResult

    public void putTransactionResult(String hashKey,
                                     String value)

  Set a value on results

  Parameters:
    `hashKey` - hashKey to be added to results
    `value` - value to be added to results

### getAllResults

    public Hashtable getAllResults()

  Returns a hash table containing all service provider-specific results. This is used as a pass through so that clients can build neccessary provider specific logic.

  Returns:
    All service-specific results.

### setAllResults

    public void setAllResults(Hashtable newResults)

### getStatusString

    public String getStatusString(int i)

  Converts a status code into a String representation.

  Parameters:
    `i` - The status code.
  Returns:
    A String representation of the status code.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved